Package org.pgpainless.sop

# Class VersionImpl

java.lang.Object
org.pgpainless.sop.VersionImpl

All Implemented Interfaces:
  `sop.operation.Version`

public class VersionImpl extends Object implements sop.operation.Version
Implementation of the

    version

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`VersionImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBackendVersion()`
`String`
`getExtendedVersion()`
`String`
`getName()`
`String`
`getSopSpecImplementationRemarks()`
`int`
`getSopSpecRevisionNumber()`
`String`
`getVersion()`
`boolean`
`isSopSpecImplementationIncomplete()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.Version

`getSopSpecRevisionName, getSopSpecVersion`

## Constructor Details

### VersionImpl

public VersionImpl()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `sop.operation.Version`

### getVersion

public String getVersion()

Specified by:
  `getVersion` in interface `sop.operation.Version`

### getBackendVersion

public String getBackendVersion()

Specified by:
  `getBackendVersion` in interface `sop.operation.Version`

### getExtendedVersion

public String getExtendedVersion()

Specified by:
  `getExtendedVersion` in interface `sop.operation.Version`

### getSopSpecRevisionNumber

public int getSopSpecRevisionNumber()

Specified by:
  `getSopSpecRevisionNumber` in interface `sop.operation.Version`

### isSopSpecImplementationIncomplete

public boolean isSopSpecImplementationIncomplete()

Specified by:
  `isSopSpecImplementationIncomplete` in interface `sop.operation.Version`

### getSopSpecImplementationRemarks

public String getSopSpecImplementationRemarks()

Specified by:
  `getSopSpecImplementationRemarks` in interface `sop.operation.Version`